*{
    overflow: hidden;
    font-family: 'Poppins', sans-serif;
    text-decoration: none;
}

html, body{
    height: 100%;
    width: 100%;
    margin: 0;
}

:root{
    --main-radius: 10px;
    font-size: 2.5vh;
}

.big-container{
    background-color: black;
    display: flex;
    min-height: 100vh;
    min-width: 100vw;
    justify-content: center;
    align-items: center;
}

.main-container{
    display: flex;
    justify-content: center;
    position: absolute;
    min-width: 75%;
    min-height: 80%;
    background: linear-gradient(to right, rgb(255, 0, 179), rgb(92, 0, 116));
    border-radius: var(--main-radius);
}

.border-for-gradient{
    justify-content: center;
    background-color: black;
    height: 99%;
    width: 99%;
    align-self: center;
    border-radius: var(--main-radius);
}

.main-text{
    display: flex;
    justify-content: center;
    overflow: visible;
    text-align: center;
    position: absolute;
    font-weight: 500;
    margin-top: 10%;
    height: 65%;
    min-width: 60%;
    align-self: center;
    background: none;
    color:rgb(124, 0, 114);
    background: linear-gradient(to right, rgb(93, 0, 105), rgb(204, 0, 255));
    border-radius: var(--main-radius);
}

.title-container{
    z-index: 1;
    position: absolute;
    width: 100%;
    height: 15%;
    top: 2%;
    color: white;
    animation: entry 2s ease-out;
}

.border-for-gradient{
    display: flex;
    flex-direction: column;
    position: absolute;
    text-align: center;
    background-color: black;
    height: 99%;
    width: 99%;
    align-self: center;
    border-radius: var(--main-radius);
}

.project-container{
    background-color: black;
    position: sticky;
    font-size: 2rem;
    display: block;
    margin-left: 5px;
    margin-right: 5px;
    width: 100%;
    height: 33.3%;
}

#back-btn-container{
    overflow: hidden;
    cursor: pointer;
    display: flex;
    align-items: center;
    line-height: 1;
    position: absolute;
    left: 5px;
    top: 5px;
    height: 4vh;
}

#back-btn-text{
    color:#4d0046;
    transition: color .2s;
}

.material-symbols-outlined{
    color: #590061;
    transition: all .2s ease-out;
    margin-left: 15px;
    font-size: 4vh !important;
}

button{
    animation: entry 1s 1 ease-out;
    transition: .3s ease-out;
    background-color: transparent;
    font-size: 23px;
    border-radius: 5px;
    border: 2px solid rgb(173, 0, 159);
    padding: 0;
}

button:hover{
    background-color: rgb(173, 0, 159);
    border: 2px solid black;
}

a:hover{
    color:rgb(46, 0, 42);
}

a{
    display: block;
    animation: entry 1s 1 ease-out;
    transition: .3s ease-out;
    color:rgb(173, 0, 159);
    padding: 0px 5px;
    border-radius: 5px;
    height: 36px;
}

a:visited{
    background-color: transparent;
}

#title{
    animation: glow 1s infinite ease-in-out;
    color:rgb(173, 0, 159);
    display: block;
    width: 100%;
    text-align: center;
    font-size: 75px;
}

@media all and (max-width: 530px){
    #project1-button, #project2-button, #project3-button{
        font-size: 20px;
    }
    .main-text{
        width: 75%;
    }
    #title{
        font-size: 50px;
    }
    #project1-button, #project2-button, #project3-button{
        border: 1px solid rgb(173, 0, 159);
    }

}

@media (max-width: 414px){
    .title-container{
        display: flex;
        align-items: center;
    }
}

@keyframes entry{
    0%{opacity: 0;}
    1%{transform: translateY(-10px);}
    100%{opacity: 1;}
}

@keyframes glow{
    0%{color: rgb(124, 0, 114);}
    50%{color:rgb(167, 0, 189);}
    100%{color: rgb(124, 0, 114);}
}

@keyframes bgGlow{
    0%{background-color: rgb(89, 0, 97);}
    50%{background-color:rgb(114, 0, 129);}
    100%{background-color: rgb(89, 0, 97);}
}
